DEVM_KMALLOC(9)

NAME
devm_kmalloc - Resource-managed kmalloc

SYNOPSIS

void * devm_kmalloc(struct device * dev, size_t size, gfp_t gfp);

ARGUMENTS

dev
    Device to allocate memory for

size
    Allocation size

gfp
    Allocation gfp flags

DESCRIPTION

Managed kmalloc. Memory allocated with this function is automatically freed on driver detach. Like all other devres resources, guaranteed alignment is unsigned long long.

RETURNS

Pointer to allocated memory on success, NULL on failure.

COPYRIGHT